summaryrefslogtreecommitdiffstats
path: root/office/texlive/texlive.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/texlive/texlive.SlackBuild')
-rw-r--r--office/texlive/texlive.SlackBuild80
1 files changed, 38 insertions, 42 deletions
diff --git a/office/texlive/texlive.SlackBuild b/office/texlive/texlive.SlackBuild
index a29afb9ab1..b870dbae7d 100644
--- a/office/texlive/texlive.SlackBuild
+++ b/office/texlive/texlive.SlackBuild
@@ -2,7 +2,7 @@
# TeXLive build script for Slackware
-# Copyright 2009, 2017 - 2019 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2017 - 2020 Patrick J. Volkerding, Sebeka, MN, USA
# Copyright 2009 - 2014 Robby Workman, Northport, AL, USA
# Copyright 2016 - 2017 Johannes Schoepfer, Germany
# All rights reserved.
@@ -26,12 +26,12 @@
# URL: ftp://tug.org/historic/systems/texlive/
# Testrelease: ftp://tug.org/texlive/Images/test/
-# Upstream stable fixes: svn://tug.org/texlive/branches/branch2019/Build/source
+# Upstream stable fixes: svn://tug.org/texlive/branches/branch2020/Build/source
PRGNAM=texlive
-SOURCEVERSION=20190410
-VERSION=${VERSION:-2019.190626}
-BUILD=${BUILD:-2}
+SOURCEVERSION=20200327
+VERSION=${VERSION:-2020.200608}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -60,6 +60,8 @@ else
LIBDIRSUFFIX=""
fi
+TEXMFROOT=/usr/share
+
# NOTE: Using the system version of poppler will require texlive to be
# recompiled with pretty much every poppler update, as they almost always
# bump the shared library version. But sometimes you do what you have
@@ -86,13 +88,10 @@ export LD_LIBRARY_PATH="$PKG/usr/lib${LIBDIRSUFFIX}:$LD_LIBRARY_PATH"
# set TEXMFROOT and TEXMFLOCAL
sed -i \
- -e 's|^TEXMFROOT.*|TEXMFROOT = $SELFAUTODIR/share|' \
- -e 's|^TEXMFLOCAL.*|TEXMFLOCAL = $TEXMFROOT/texmf-local|' \
+ -e "s|^TEXMFROOT.*|TEXMFROOT = $TEXMFROOT|" \
+ -e "s|^TEXMFLOCAL.*|TEXMFLOCAL = \$TEXMFROOT/texmf-local|" \
texk/kpathsea/texmf.cnf
-# Upstream stable fixes
-patch -Np1 -i $CWD/patches/texlive-20190410-source-upstream_fixes-1.patch || exit 1
-
# prevent compiling Xdvi with libXp
sed -i 's|-lXp ||' texk/xdvik/configure
@@ -144,7 +143,7 @@ cd build
--build=$ARCH-slackware-linux || exit 1
make || exit 1
- # make check || exit 1
+ #make check || exit 1
make install-strip DESTDIR=$PKG || exit 1
cd ..
@@ -153,24 +152,24 @@ cd ..
rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.la
# Remove all files which are covered by tlnet
-rm -rf $PKG/usr/share $PKG/usr/man $PKG/usr/info
+rm -rf $PKG$TEXMFROOT $PKG/usr/man $PKG/usr/info
# install the tlnet stuff
-mkdir -p $PKG/usr/share
-tar xvf $CWD/texlive-base-$VERSION.tar.xz -C $PKG/usr/share || exit 1
+mkdir -p $PKG$TEXMFROOT
+tar xvf $CWD/texlive-base-$VERSION.tar.xz -C $PKG$TEXMFROOT || exit 1
chown -R root:root $PKG
chmod -R u+w,go-w,a+rX-st $PKG
# use symlinks/scripts from tlnet
-mv $PKG/usr/share/texmf-dist/linked_scripts/* $PKG/usr/bin
-rmdir $PKG/usr/share/texmf-dist/linked_scripts
+mv $PKG$TEXMFROOT/texmf-dist/linked_scripts/* $PKG/usr/bin
+rmdir $PKG$TEXMFROOT/texmf-dist/linked_scripts
# set some paths
sed -i \
- -e 's|^TEXMFROOT.*|TEXMFROOT = $SELFAUTODIR/share|' \
- -e 's|^TEXMFLOCAL.*|TEXMFLOCAL = $TEXMFROOT/texmf-local|' \
- -e 's|^OSFONTDIR.*|OSFONTDIR = ~/.fonts:/usr/share/fonts|' \
- $PKG/usr/share/texmf-dist/web2c/texmf.cnf
+ -e "s|^TEXMFROOT.*|TEXMFROOT = $TEXMFROOT|" \
+ -e "s|^TEXMFLOCAL.*|TEXMFLOCAL = \$TEXMFROOT/texmf-local|" \
+ -e "s|^OSFONTDIR.*|OSFONTDIR = ~/.fonts:/usr/share/fonts|" \
+ $PKG$TEXMFROOT/texmf-dist/web2c/texmf.cnf
# disable obsolete aleph/lamed/cslatex/pdfcslatex
sed -i \
@@ -178,15 +177,13 @@ sed -i \
-e 's|^lamed|#! lamed|' \
-e 's|^cslatex|#! cslatex|' \
-e 's|^pdfcslatex|#! pdfcslatex|' \
- $PKG/usr/share/texmf-dist/web2c/fmtutil.cnf
+ $PKG$TEXMFROOT/texmf-dist/web2c/fmtutil.cnf
-# make ConTeXt work, and remove unused settings
+# make ConTeXt work
sed -i \
- -e 's|selfautoparent:|/usr/share/|g' \
- -e 's|\(TEXMFLOCAL[ ]*=[ ]*\)[^,]*|\1"/usr/share/texmf-local"|' \
- -e '/selfautodir/d' \
- -e '/texmflocal/d' \
- $PKG/usr/share/texmf-dist/web2c/texmfcnf.lua
+ -e "s|selfautoparent:|$TEXMFROOT/|g" \
+ -e "s|\(TEXMFLOCAL[ ]*=[ ]*\)[^,]*|\1\"$TEXMFROOT/texmf-local\"|" \
+ $PKG$TEXMFROOT/texmf-dist/web2c/texmfcnf.lua
# provide texlive fonts optionally for other system apps
mkdir -p $PKG/etc/fonts/conf.avail
@@ -194,8 +191,8 @@ cat > $PKG/etc/fonts/conf.avail/09-texlive.conf << EOF
<?xml version='1.0'?>
<!DOCTYPE fontconfig SYSTEM 'fonts.dtd'>
<fontconfig>
- <dir>/usr/share/texmf-dist/fonts/opentype</dir>
- <dir>/usr/share/texmf-dist/fonts/truetype</dir>
+ <dir>$TEXMFROOT/texmf-dist/fonts/opentype</dir>
+ <dir>$TEXMFROOT/texmf-dist/fonts/truetype</dir>
</fontconfig>
EOF
@@ -203,42 +200,41 @@ EOF
mkdir -p $PKG/usr/doc/texlive-$VERSION
cp -a ChangeLog README* $PKG/usr/doc/texlive-$VERSION
# Install index of provided tex packages to the docs
-mv $PKG/usr/share/texmf-dist/packages.base.gz $PKG/usr/doc/texlive-$VERSION
+mv $PKG$TEXMFROOT/texmf-dist/packages.base.gz $PKG/usr/doc/texlive-$VERSION
-# Put a symlink to /usr/share/texmf-dist/doc in our Slackware docdir
-ln -s ../../share/texmf-dist/doc $PKG/usr/doc/texlive-$VERSION/doc
+# Put a symlink to $TEXMFROOT/texmf-dist/doc in our Slackware docdir
+ln -sf $TEXMFROOT/texmf-dist/doc $PKG/usr/doc/texlive-$VERSION/doc
# We won't make tlmgr easily available; it's still there, but
# we'll make it harder to void the warranty :-)
-rm -f $PKG/usr/bin/tlmgr
+rm $PKG/usr/bin/tlmgr
cat $CWD/README.tlpkg > $PKG/usr/doc/texlive-$VERSION/README.tlpkg
# Create some directories to make it clear that they're owned by this package
-mkdir -p $PKG/usr/share/{texmf-config,texmf-var,texmf-local}
+mkdir -p $PKG$TEXMFROOT/{texmf-config,texmf-var,texmf-local}
# Use patch for tabu.sty from https://github.com/tabu-fixed/tabu to fix
# breakage when compiling doxygen:
-( cd $PKG/usr/share/texmf-dist/tex/latex/tabu
+( cd $PKG$TEXMFROOT/texmf-dist/tex/latex/tabu
cat $CWD/patches/tabu.sty.diff | patch -p1 --verbose || exit 1
) || exit 1
-# Add some perl modules, at least one of which is required by updmap
+# Add texlive perl modules
mkdir -p $PKG/usr/share/perl5
-mv texk/tests/TeXLive $PKG/usr/share/perl5/
+mv $PKG$TEXMFROOT/texmf-dist/scripts/texlive/TeXLive $PKG/usr/share/perl5/
# Move manual pages to the correct place
mkdir $PKG/usr/man
-mv $PKG/usr/share/texmf-dist/doc/man/man1 $PKG/usr/man
-mv $PKG/usr/share/texmf-dist/doc/man/man5 $PKG/usr/man
-rmdir $PKG/usr/share/texmf-dist/doc/man
-mv $PKG/usr/share/texmf-dist/doc/info $PKG/usr
+mv $PKG$TEXMFROOT/texmf-dist/doc/man/man1 $PKG/usr/man
+mv $PKG$TEXMFROOT/texmf-dist/doc/man/man5 $PKG/usr/man
+rmdir $PKG$TEXMFROOT/texmf-dist/doc/man
# Handle the man pages
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
# Handle the GNU info pages
-rm -f $PKG/usr/info/dir
+mv $PKG$TEXMFROOT/texmf-dist/doc/info $PKG/usr
gzip -9 $PKG/usr/info/*
mkdir -p $PKG/install